#### D.5.2.29 chSymm2L

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chSymm2L(r, c); r integer, c list of polynomials

Return:
  list of polynomials

Purpose:
  computes the Chern classes of the second symmetric power of a vector bundle

Note:
  Implementation of the formula of Lascoux, the Schur polynomials are computed using the second Jacobi-Trudi formula (in terms of the Chern classes)

Example:

    LIB "chern.lib";
    ring r=0, (c(1..2)), dp;
    list l=c(1..2);
    // the Chern classes of the second symmetric power of a vector bundle of rank 2
    print( chSymm2L(2, l));

User manual for Singular version 4.4.1, 2025, generated by texi2html.